#include <iostream>
#include <cmath>


using namespace std;

int main()
{
    long long V;
    long long BrojNovcanica;
    long long Cifra;
    long long br;
    cin>>V;
    br=V;
    BrojNovcanica=0;
    while (br>0)
    {
        Cifra=br%10;
        if (Cifra==0)
        {
            BrojNovcanica=BrojNovcanica+0;
        }

        else if (Cifra==1)
         {
            BrojNovcanica=BrojNovcanica+1;
         }

        else if (Cifra==2)
        {
            BrojNovcanica=BrojNovcanica+1;
        }
        else if (Cifra==3)
        {
            BrojNovcanica=BrojNovcanica+2;
        }


        else if (Cifra==4)
        {
            BrojNovcanica=BrojNovcanica+2;
        }

        else if (Cifra==5)
        {
            BrojNovcanica=BrojNovcanica+1;
        }

        else if (Cifra==6)
        {
            BrojNovcanica=BrojNovcanica+2;
        }

        else if (Cifra==7)
        {
            BrojNovcanica=BrojNovcanica+2;
        }

        else if (Cifra==8)
        {
            BrojNovcanica=BrojNovcanica+3;
        }

        else if (Cifra==9)
        {
            BrojNovcanica=BrojNovcanica+4;
        }


        br=br/10;
    }
    cout<<BrojNovcanica;
    return 0;
}